# The Docker image that will be used to build your app
image: ubuntu:latest

before_script:
  - apt-get update -y
  - apt-get install -y curl
  
pages:
  script:
    - curl -sSL https://github.com/getzola/zola/releases/download/v0.18.0/zola-v0.18.0-x86_64-unknown-linux-gnu.tar.gz -o zola.tar.gz
    - tar -xvf zola.tar.gz
    - mv zola /usr/local/bin/
    - zola --version
    - zola build -o public 
  artifacts:
    paths:
      - public  # The folder that contains the files to be exposed at the Page URL
  rules:
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH

